/*****************************************************************************
* University of Southern Denmark
* Embedded C Programming (ECP)
*
* MODULENAME.: gpio.c
*
* PROJECT....: ECP
*
* DESCRIPTION: See module specification file (.h-file).
*
* Change Log:
******************************************************************************
* Date    Id    Change
* YYMMDD
* --------------------
* 090215  MoH   Module created.
*
*****************************************************************************/

/***************************** Include files *******************************/
#include "lm3s6965.h"
#include "emp_type.h"

/*****************************    Defines    *******************************/

/*****************************   Constants   *******************************/

/*****************************   Variables   *******************************/

/*****************************   Functions   *******************************/

void init_gpio(void)
/*****************************************************************************
*   Input    :
*   Output   :
*   Function :
******************************************************************************/
{
	  INT8S dummy;

	  // Enable the GPIO port that is used for the on-board LED.
	  SYSCTL_RCGC2_R = SYSCTL_RCGC2_GPIOF | SYSCTL_RCGC2_GPIOG | SYSCTL_RCGC2_GPIOD | SYSCTL_RCGC2_GPIOE |SYSCTL_RCGC2_GPIOA | SYSCTL_RCGC2_GPIOB ;

	  // Do a dummy read to insert a few cycles after enabling the peripheral.
	  dummy = SYSCTL_RCGC2_R;
	  
	  // Set the direction as output (PF0+PG0+PG1+PD6).  
	  GPIO_PORTF_DIR_R = 0x01; //
	  GPIO_PORTG_DIR_R = 0x03; // GUL og GRN LED
	  GPIO_PORTD_DIR_R = 0x40;
	 // GPIO_PORTA_DIR_R |= 0b11000000; // screen
	  GPIO_PORTB_DIR_R |= 0b01111100; // Screen
	  
	  // Enable the GPIO pins for digital function (PD6, PF0, FP1, PG0 and PG1).
	  GPIO_PORTD_DEN_R = 0x40;
	  GPIO_PORTF_DEN_R = 0x03;
	  GPIO_PORTG_DEN_R = 0x03; // GUL og GRN LED
	 // GPIO_PORTA_DEN_R |= 0b11000000; // screen   - enable
	  GPIO_PORTB_DEN_R |= 0b01111100; // Screen	  - enable


	 // GPIO_PORTG_DEN_R = 0x03;

	  // Enable internal pull-up (PF1).  
	  GPIO_PORTF_PUR_R = 0x02;
}


/****************************** End Of Module *******************************/












